#include <bits/stdc++.h>
using namespace std;
string s;
int n,b[1000000],d,c=1,p=1,tu1,k,h,tu2,mau1,mau2,a[10000000],f1,f2,f3,mauchung,tuchung,gtln=INT_MIN;

int main()
{
    ifstream f1("DCONMAX.inp");
    ofstream f2("DCONMAX.out");
    f1>>n;
    for (int i=1;i<n+1;i++)
    {
        f1>>a[i];
        b[i]=a[i]+b[i-1];
    }
    for (int i=0;i<n;i++)
    {
        for (int j=i+1;j<n+1;j++)
        {
            gtln=max(gtln,b[j]-b[i]);
        }
    }
    f2<<gtln;
}

